Bug 17308 - 'New patron attribute type' button does not work
Summary: 'New patron attribute type' button does not work
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Andreas Roussos
QA Contact: Testopia
URL: /cgi-bin/koha/admin/patron-attr-types.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-16 18:13 UTC by Andreas Roussos
Modified: 2019-06-27 09:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17308 - 'New patron attribute type' button does not work (1.49 KB, patch)
2016-09-16 18:27 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 17308 - 'New patron attribute type' button does not work (1.49 KB, patch)
2016-09-16 18:34 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 17308 - 'New patron attribute type' button does not work (1.66 KB, patch)
2016-09-16 18:36 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 17308 - 'New patron attribute type' button does not work (1.73 KB, patch)
2016-09-18 10:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Roussos 2016-09-16 18:13:25 UTC
Description of the problem:
In the Staff client, the 'New patron attribute type' button in the Patron
attribute types page does not work.

Steps to reproduce (in the current master 0254fd7):
Go to Home > Administration > Patron attribute types, and click on the
'New patron attribute type' button. You cannot create a new patron attribute
type and you get the following Software error in the browser:
Not a HASH reference at /home/aroussos/kohaclone/admin/patron-attr-types.pl line 89.

I've found a way to fix this and will submit a patch soon.
Comment 1 Andreas Roussos 2016-09-16 18:27:22 UTC
Created attachment 55627 [details] [review]
Bug 17308 - 'New patron attribute type' button does not work

In the Staff client, the 'New patron attribute type' button in the Patron
attribute types page does not work. This patch fixes that.

Test plan:
1) In the Staff client, go to Home > Administration > Patron attribute types,
   and click on the 'New patron attribute type' button. You cannot create a
   new patron attribute type and you get the following Software error:
   Not a HASH reference at [...]
2) Apply the patch.
3) Repeat step 1). The 'New patron attribute type' button now works.
Comment 2 Marc Véron 2016-09-16 18:34:57 UTC
Created attachment 55628 [details] [review]
Bug 17308 - 'New patron attribute type' button does not work

In the Staff client, the 'New patron attribute type' button in the Patron
attribute types page does not work. This patch fixes that.

Test plan:
1) In the Staff client, go to Home > Administration > Patron attribute types,
   and click on the 'New patron attribute type' button. You cannot create a
   new patron attribute type and you get the following Software error:
   Not a HASH reference at [...]
2) Apply the patch.
3) Repeat step 1). The 'New patron attribute type' button now works.
Comment 3 Marc Véron 2016-09-16 18:36:35 UTC
Created attachment 55629 [details] [review]
Bug 17308 - 'New patron attribute type' button does not work

In the Staff client, the 'New patron attribute type' button in the Patron
attribute types page does not work. This patch fixes that.

Test plan:
1) In the Staff client, go to Home > Administration > Patron attribute types,
   and click on the 'New patron attribute type' button. You cannot create a
   new patron attribute type and you get the following Software error:
   Not a HASH reference at [...]
2) Apply the patch.
3) Repeat step 1). The 'New patron attribute type' button now works.

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 4 Marc Véron 2016-09-16 18:38:05 UTC
Sorry, forgot sign-off line with previous patch... (Comment #2)
Comment 5 Katrin Fischer 2016-09-18 10:05:52 UTC
Created attachment 55643 [details] [review]
[PASSED QA] Bug 17308 - 'New patron attribute type' button does not work

In the Staff client, the 'New patron attribute type' button in the Patron
attribute types page does not work. This patch fixes that.

Test plan:
1) In the Staff client, go to Home > Administration > Patron attribute types,
   and click on the 'New patron attribute type' button. You cannot create a
   new patron attribute type and you get the following Software error:
   Not a HASH reference at [...]
2) Apply the patch.
3) Repeat step 1). The 'New patron attribute type' button now works.

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 6 Kyle M Hall 2016-09-27 10:33:20 UTC
Pushed to master for 16.11, thanks Andreas!